<?php
//This file holds the options array for use in the controlpanel.php and theme-init.php files.
$options = array (
	array(	"name" => __("Layout","techozoic"),
              	"type" => "header",
              	"selected" => "selected",
              	"position" => "1",
              	"tab_id" => "layout",
              	"anchor" =>"general"),

    	array(	"name" => __("Number of Columns","techozoic"),
            	"id" => "column",
				"old_id" => "techcolumn",
            	"type" => "radio",
            	"std" => "3",
            	"java" => "onchange=\"pagewidth(this.form)\"",
            	"options" => array("3", "2", "1")),

		array(	"name" => __("Column Layout","techozoic"),
				"old_id" => "tech_sidebar_pos",
            	"id" => "sidebar_pos",
            	"type" => "select",
            	"std" => "Sidebar - Content - Sidebar",
            	"options" => array("-- 3 Column Layouts","Sidebar - Content - Sidebar", "Content - Sidebar - Sidebar","Sidebar - Sidebar - Content","-- 2 Column Layouts","Content - Sidebar", "Sidebar - Content")),
	
		array(	"name" => __("Fixed or Fluid Width","techozoic"),		
            	"id" => "page_type",
				"old_id" => "tech_page_type",
            	"std" => "Fluid Width",
            	"type" => "radio",
            	"java" => "onchange=\"pagewidth(this.form)\"",
            	"options" => array("Fixed Width", "Fluid Width")),

		array(	"name" => __("Page Width","techozoic"),
            	"desc"=> __("Fluid Width - Percentage of Total Screen Size  Fixed Width - Width in number of pixels","techozoic"),
				"id" => "page_width",
				"old_id" => "tech_page_width",
				"string" => "num",				
            	"std" => "0",
            	"size" => "3",
            	"java" => "onchange=\"pagewidth(this.form)\"",
            	"text" => "<span id=\"page_width_sign\"></span>",
            	"tooltip" => " <small><span id=\"page_width_error\"></span></small>",
            	"type" => "text"),

		array(	"name" => __("Main Column <small>(Post Content)</small> Width - Percentage of Page Width","techozoic"),
            	"id" => "main_column_width",
				"old_id" => "tech_main_column_width",
				"string" => "num",				
            	"std" => "0",
            	"size" => "3",
            	"java" => "onchange=\"pagewidth(this.form)\"",
            	"text" => "%",
            	"type" => "text"),

		array( 	"name" => __("Sidebar<span id=\"sidebar_s\">s</span> Width - Percentage of Page Width","techozoic"),
            	"id" => "sidebar_width",
				"old_id" => "tech_sidebar_width",
				"string" => "num",				
            	"std" => "0",
            	"size" => "3",
            	"java" => "onchange=\"pagewidth(this.form)\"",
            	"text" => "%",
            	"type" => "text"),
	
		array(	"name" => __("Total Content Width","techozoic"),
				"desc" => __("If Javascript is disabled this field will not update","techozoic"),
            	"id" => "total",
				"old_id" => "tech_total",
            	"std" => "",
            	"size" => "3",
            	"java" => "readonly = \"readonly\" ",
            	"tooltip" => "<br /><small><span id=\"totalerror\"></span></small>",
            	"text" => "%",
            	"type" => "text"),
				
		array(	"name" => __("Fav Icon Image","techozoic"),
				"desc" => __("Fav Icon must be an .ico file.  Browse for a new image or chose previously uploaded image.  After choosing press Save to upload.","techozoic"),		
            	"id" => "favicon_image",
				"old_id" => "unused before 1.8.7",
            	"java" => "onchange=\"upload(this.form,this.name)\"",
				"std" => "",
				"reset" => "favicon_image_reset",
				"select" => "favicon_image_select",
            	"type" => "upload"),

    	array(  "name" => __("Display Sidebars on Blog Home Page","techozoic"),
            	"id" => "home_sidebar",
				"old_id" => "unused since 1.8.7",
            	"type" => "radio",
            	"std" => "Yes",
            	"options" => array("Yes", "No")),				
				
    	array(  "name" => __("Display Sidebars on Single Post Pages","techozoic"),
            	"id" => "single_sidebar",
				"old_id" => "tech_single_sidebar",
            	"type" => "radio",
            	"std" => "No",
            	"options" => array("Yes", "No")),

    	array(  "name" => __("SEO Features<a href=\"javascript:tabchange(6)\">*(see notes)</a>","techozoic"),
				"desc" => __("Disable this if any SEO plugins are used","techozoic"),
            	"id" => "seo",
				"old_id" => "techseo",
            	"type" => "radio",
            	"std" => "On",
            	"options" => array("On", "Off")),
				
    	array(  "name" => __("Thickbox on Images","techozoic"),
				"desc" => __("Use Thickbox to automatically overlay images on pages</small>","techozoic"),
            	"id" => "thickbox",
				"old_id" => "tech_thickbox",
            	"type" => "radio",
            	"std" => "Off",
            	"options" => array("On", "Off")),

    	array(	"name" => __("Display Search box in header","techozoic"),
				"desc" => __("Set to no if you don't want the search box to show in the header area","techozoic"),
            	"id" => "search_box",
				"old_id" => "unused before 1.8.8",
            	"type" => "radio",
            	"std" => "Yes",
            	"options" => array("Yes", "No")),				

    	array(	"name" => __("Display Blog Title and Tagline in header","techozoic"),
				"desc" => __("Set to no if your custom header image already has your blog title and tagline","techozoic"),
            	"id" => "blog_title",
				"old_id" => "tech_blog_title",
            	"type" => "radio",
            	"std" => "Yes",
            	"options" => array("Yes", "No")),

    	array(	"name" => __("Blog Title and Tagline Horizontal Alignment","techozoic"),
				"id" => "blog_title_align",
				"old_id" => "tech_blog_title_align",
            	"type" => "radio",
            	"std" => "Left",
            	"options" => array("Left", "Center" , "Right")),

    	array( 	"name" => __("Single Page Header Title Text","techozoic"),
				"desc" => __("Show the Post title as the main heading and the the Blog title as the tagline on single pages.   Always Blog Title will only display the Blog Title and Tagline set in the General Options of the Blog.","techozoic"),
            	"id" => "blog_title_text",
				"old_id" => "tech_blog_title_text",
            	"type" => "radio",
            	"std" => "Single Post Title",
            	"options" => array("Single Post Title", "Always Blog Title")),
				
		array(	"name" => __("Custom Footer Text","techozoic"),
				"desc" => __("Text displayed in footer.  Shortcodes that can be used: <br />%BLOGNAME% -> The blog's title. <br />%THEMENAME% -> Theme name.<br /> %THEMEVER% -> Current Theme Version.<br /> %THEMEAUTHOR% -> Link to Theme Author's website.*<br />%TOP% -> Link to the Top of the page.<br /> %COPYRIGHT% -> Insert copyright info for current year.<br />* <small>Donations are appreciated if link isn't displayed</small>","techozoic"),
            	"id" => "footer_text",
				"old_id" => "unused before 1.8.8",
            	"std" => "%BLOGNAME% | %THEMENAME% %THEMEVER% by %THEMEAUTHOR%. | %TOP%",
            	"size" => "100",
            	"type" => "textarea"),				

    	array(	"name" => __("Static CSS","techozoic"),
				"desc" => __("For Advanced Users who would like to edit the style.css file directly. Setting this to static will stop using the Dynamic style.php in favor of the static style.css  If you would like the changes you've made already to transfer then below  is the CSS being used currently and allow you to copy and paste to the style.css file.","techozoic"),
				"id" => "static_css",
				"old_id" => "unused before 1.8.4",
            	"type" => "radio",
            	"std" => "Dynamic",
				"display" => "style",
            	"options" => array("Static", "Dynamic")),
				
    	array(	"name" => __("Custom CSS","techozoic"),
				"desc" => __("<strong>No HTML allowed</strong> Here you can enter your own CSS.  Please keep in mind proper CSS structure.","techozoic"),
            	"id" => "custom_styles",
				"old_id" => "tech_custom_styles",
				"string" => "nohtml",
            	"std" => "",
				"display" => "style",
            	"type" => "textarea"),
				
    	array( 	"name" => __("Navigation","techozoic"),
		"type" => "header",
              	"tab_id" => "nav",
             	"anchor" => "nav"),
				
    	array(	"name" => __("Navigation Menu Type","techozoic"),
				"desc" => __("Standard - Pages listed in horizontal menu in a single tier Two Tier - Parent pages listed in horizontal menu with any sub-pages listed in lower menu Disable the horizontal menu and visit the <a href=\"widgets.php\">widgets</a> page to add  the Techozoic Sidebar Navigation widget","techozoic"),
            	"id" => "nav_menu_type",
				"old_id" => "tech_nav_menu_type",
            	"type" => "select",
            	"std" => "Standard",
            	"options" => array("Standard", "Two Tier", "Dropdown", "WP 3 Menu", "Disable")),

		array(	"name" => __("Navigation Menu Alignment","techozoic"),
            	"id" => "nav_align",
				"old_id" => "unused before 1.8.7",
            	"type" => "radio",
            	"std" => "Left",
            	"options" => array("Left","Center")),

		array(	"name" => __("Navigation Button Width","techozoic"),
				"desc" => __("Set to <strong>0</strong> for variable sized buttons","techozoic"),
            	"id" => "nav_button_width",
				"old_id" => "tech_nav_button_width",
				"string" => "num",
            	"std" => "0",
            	"size" => "2",
            	"text" => "em",
            	"type" => "text"),

		array(	"name" => __("Navigation Menu Exclusion","techozoic"),
				"desc" => __("<strong>Choose which pages to exclude from all Navigation Menus. Hold CTRL to select multiple pages.</strong>","techozoic"),
            	"id" => "nav_exclude_list",
				"old_id" => "unused before 1.8.4",
            	"std" => "",
				"list" => "pages",
				"type" => "wp_list"),

    	array(	"name" => __("Log In/Out Links","techozoic"),
				"desc" => __("Enable Dashboard and Log in/out links.","techozoic"),
            	"id" => "dashboard_link",
				"old_id" => "unused before 1.8.4",
            	"type" => "radio",
            	"std" => "On",
            	"options" => array("On","Off")),				
				
    	array(	"name" => __("Breadcrumbs","techozoic"),
				"desc" => __("Enable Breadcrumb navigation.  Useful with Sidebar Nav Widget.","techozoic"),
            	"id" => "breadcrumbs",
				"old_id" => "unused before 1.8.4",
            	"type" => "radio",
            	"std" => "Off",
            	"options" => array("On","Off")),
				
    	array(	"name" => __("Display Home Link","techozoic"),
				"desc" => __("Display the link back to the Blog Home","techozoic"),
            	"id" => "nav_home_link",
				"old_id" => "unused before 1.8.4",
            	"type" => "radio",
            	"std" => "Yes",
            	"options" => array("Yes","No")),
				
		array(	"name" => __("Text for Home Link","techozoic"),
				"desc" => __("Text displayed for the link to the blog home","techozoic"),
            	"id" => "nav_home_text",
				"old_id" => "unused before 1.8.4",
            	"std" => "Home",
            	"size" => "25",
            	"type" => "text"),
				
    	array(	"name" => __("Display Custom Links","techozoic"),
				"desc" => __("Before or After default links","techozoic"),
            	"id" => "nav_cust_link_display",
				"old_id" => "unused before 1.8.4",
            	"type" => "radio",
            	"std" => "Before",
            	"options" => array("Before","After")),
				
		array(	"name" => __("Custom Navigation Link","techozoic"),
				"desc" => __("Link should be entered in this form","techozoic") . "  <strong>Link Name|http://www.link.com</strong></small>  <input type=\"button\" value=\"".__("Add Link","techozoic")."\" onclick=\"addlink(2);\" class=\"aligncenter\" />",
            	"id" => "nav_link_1",
				"old_id" => "unused before 1.8.4",
				"before" => "</table><h3> Custom Navigation Links</h3><div id=\"nav_link_div_1\"><table class=\"optiontable\">",
				"after" => "</table></div><table class=\"optiontable\">",
				"string" => "nav_link",
            	"std" => "",
            	"size" => "50",
            	"type" => "text"),
				
		array(	"name" => __("Custom Navigation Link","techozoic"),
				"desc" => __("Link should be entered in this form","techozoic") ."  <strong>Link Name|http://www.link.com</strong></small>  <input type=\"button\" value=\"".__("Add Link","techozoic")."\" onclick=\"addlink(3);\" class=\"aligncenter\" /> <input type=\"button\" value=\"".__("Remove Link","techozoic")."\" onclick=\"dellink(2);\" class=\"aligncenter\" />",
            	"id" => "nav_link_2",
				"old_id" => "unused before 1.8.4",
				"before" => "</table><div id=\"nav_link_div_2\"><table class=\"optiontable\">",
				"after" => "</table></div><table class=\"optiontable\">",
				"string" => "nav_link",
            	"std" => "",
            	"size" => "50",
            	"type" => "text"),
				
		array(	"name" => __("Custom Navigation Link","techozoic"),
				"desc" => __("Link should be entered in this form","techozoic") ."  <strong>Link Name|http://www.link.com</strong></small>  <input type=\"button\" value=\"".__("Add Link","techozoic")."\" onclick=\"addlink(4);\" class=\"aligncenter\" /> <input type=\"button\" value=\"".__("Remove Link","techozoic")."\" onclick=\"dellink(3);\" class=\"aligncenter\" />",
				"id" => "nav_link_3",
				"old_id" => "unused before 1.8.4",
				"before" => "</table><div id=\"nav_link_div_3\"><table class=\"optiontable\">",
				"after" => "</table></div><table class=\"optiontable\">",
				"string" => "nav_link",
            	"std" => "",
            	"size" => "50",
            	"type" => "text"),
				
		array(	"name" => __("Custom Navigation Link","techozoic"),
				"desc" => __("Link should be entered in this form","techozoic") ."  <strong>Link Name|http://www.link.com</strong></small>  <input type=\"button\" value=\"".__("Add Link","techozoic")."\" onclick=\"addlink(5);\" class=\"aligncenter\" /> <input type=\"button\" value=\"".__("Remove Link","techozoic")."\" onclick=\"dellink(4);\" class=\"aligncenter\" />",
				"id" => "nav_link_4",
				"old_id" => "unused before 1.8.4",
				"before" => "</table><div id=\"nav_link_div_4\"><table class=\"optiontable\">",
				"after" => "</table></div><table class=\"optiontable\">",
				"string" => "nav_link",
            	"std" => "",
            	"size" => "50",
            	"type" => "text"),
				
		array(	"name" => __("Custom Navigation Link","techozoic"),
				"desc" => __("Link should be entered in this form","techozoic") ."  <strong>Link Name|http://www.link.com</strong></small>  <input type=\"button\" value=\"".__("Remove Link","techozoic")."\" onclick=\"dellink(5);\" class=\"aligncenter\" />",
				"id" => "nav_link_5",
				"old_id" => "unused before 1.8.4",
				"before" => "</table><div id=\"nav_link_div_5\"><table class=\"optiontable\">",
				"after" => "</table></div><table class=\"optiontable\">",
				"string" => "nav_link",
            	"std" => "",
            	"size" => "50",
            	"type" => "text"),
		
    	array( 	"name" => __("Typography","techozoic"),
				"type" => "header",
              	"tab_id" => "font",
             	"anchor" => "font"),
	 
		array(	"name" => __("Base Font Size","techozoic"),
				"desc" => __("Default text","techozoic"),
            	"id" => "body_font_size",
				"old_id" => "tech_body_font_size",
				"string" => "num",
            	"std" => "10",
            	"size" => "2",
            	"text" => "px <input type=\"button\" value=\"Show Text Size\" onchange=\"textsize(this.form);\" style=\"margin-left:10px\" />",
            	"java" => "onchange=\"textsize(this.form);\"",
            	"type" => "text"),

		array("name" => "<span id =\"main_heading_font_size_out\"><span id =\"main_heading_font_size\" style=\"font-size:3em;line-height:1em\">". __("Main Heading Font","techozoic")."</span></span>",
            	"id" => "main_heading_font_size",
				"old_id" => "tech_main_heading_font_size",
				"string" => "num",
            	"std" => "3.0",
            	"size" => "2",
            	"text" => "em",
            	"java" => "onchange=\"textsize(this.form);\"",
            	"type" => "text"),

		array("name" => "<span id =\"post_heading_font_size_out\"><span id =\"post_heading_font_size\" style=\"font-size:2em;line-height:1em\">".__("Post Heading Font","techozoic")."</span></span>",
            	"id" => "post_heading_font_size",
				"old_id" => "tech_post_heading_font_size",
				"string" => "num",
            	"std" => "2.0",
            	"size" => "2",
            	"text" => "em",
            	"java" => "onchange=\"textsize(this.form);\"",
            	"type" => "text"),
				
		array("name" => "<span id =\"side_heading_font_size_out\"><span id =\"side_heading_font_size\" style=\"font-size:1.6em;line-height:1em\">".__("Sidebar Heading Font","techozoic")."</span></span>",
            	"id" => "side_heading_font_size",
				"old_id" => "tech_side_heading_font_size",
				"string" => "num",
            	"std" => "1.6",
            	"size" => "2",
            	"text" => "em",
            	"java" => "onchange=\"textsize(this.form);\"",
            	"type" => "text"),

		array("name" => "<span id =\"nav_text_font_size_out\" ><span id =\"nav_text_font_size\" style=\"font-size:1.3em;line-height:1em\">".__("Nav Menu Text Font","techozoic")."</span></span>",
            	"id" => "nav_text_font_size",
				"old_id" => "unused before 1.8.8",
				"string" => "num",
            	"std" => "13",
            	"size" => "2",
            	"text" => "<strong>px</strong>",
            	"java" => "onchange=\"textsize(this.form);\"",
            	"type" => "text"),				
				
		array("name" => "<span id =\"post_text_font_size_out\" ><span id =\"post_text_font_size\" style=\"font-size:1em;line-height:1em\">".__("Post Text Font","techozoic")."</span></span>",
            	"id" => "post_text_font_size",
				"old_id" => "tech_post_text_font_size",
				"string" => "num",
            	"std" => "1.0",
            	"size" => "2",
            	"text" => "em",
            	"java" => "onchange=\"textsize(this.form);\"",
            	"type" => "text"),

		array("name" => "<span id =\"small_font_size_out\"><span id =\"small_font_size\" style=\"font-size:.9em;line-height:1em\">".__("Metadata Font","techozoic")."</span></span>",
            	"id" => "small_font_size",
				"old_id" => "tech_small_font_size",
				"string" => "num",
            	"std" => ".9",
            	"size" => "2",
            	"text" => "em",
            	"java" => "onchange=\"textsize(this.form);\"",
            	"type" => "text"),

		array(	"name" => __("Header Font","techozoic"),
				"desc" => "<div class=\"fonts\"><span class=\"trebuchet\">Trebuchet</span> | <span class=\"verdana\">Verdana</span> | <span class=\"georgia\">Georgia</span> | <span class=\"tahoma\">Tahoma</span>  | <span class=\"arial\">Arial</span> | <span class=\"times\">Times New Roman</span> | <span class=\"lucida\">Lucida Sans Unicode</span> | <span class=\"impact\">Impact</span></div>",
            	"id" => "header_font",
				"old_id" => "tech_header_font",
            	"type" => "select",
            	"std" => "Verdana",
            	"java" => "onchange=\"textsize(this.form);\"",
            	"options" => array("Trebuchet MS", "Verdana", "Georgia", "Tahoma", "Arial", "Times New Roman","Lucida Sans Unicode","Impact")),

		array(	"name" => __("Post Body Font","techozoic"),
				"desc" => "<div class=\"fonts\"><span class=\"trebuchet\">Trebuchet</span> | <span class=\"verdana\">Verdana</span> | <span class=\"georgia\">Georgia</span> | <span class=\"tahoma\">Tahoma</span>  | <span class=\"arial\">Arial</span> | <span class=\"times\">Times New Roman</span> | <span class=\"lucida\">Lucida Sans Unicode</span> | <span class=\"impact\">Impact</span></div>",
            	"id" => "body_font",
				"old_id" => "tech_body_font",
            	"type" => "select",
            	"std" => "Lucida Sans Unicode",
				"java" => "onchange=\"textsize(this.form);\"",
            	"options" => array("Trebuchet MS", "Verdana", "Georgia", "Tahoma", "Arial", "Times New Roman","Lucida Sans Unicode","Impact")),

		array(	"name" => __("Sidebar Font","techozoic"),
				"desc" => "<div class=\"fonts\"><span class=\"trebuchet\">Trebuchet</span> | <span class=\"verdana\">Verdana</span> | <span class=\"georgia\">Georgia</span> | <span class=\"tahoma\">Tahoma</span>  | <span class=\"arial\">Arial</span> | <span class=\"times\">Times New Roman</span> | <span class=\"lucida\">Lucida Sans Unicode</span> | <span class=\"impact\">Impact</span></div>",
            	"id" => "sidebar_font",
				"old_id" => "unused before 1.8.8",
				"type" => "select",
            	"java" => "onchange=\"textsize(this.form);\"",				
            	"std" => "Lucida Sans Unicode",
            	"options" => array("Trebuchet MS", "Verdana", "Georgia", "Tahoma", "Arial", "Times New Roman","Lucida Sans Unicode","Impact")),
				
		array(	"name" => __("Nav Menu Font","techozoic"),
				"desc" => "<div class=\"fonts\"><span class=\"trebuchet\">Trebuchet</span> | <span class=\"verdana\">Verdana</span> | <span class=\"georgia\">Georgia</span> | <span class=\"tahoma\">Tahoma</span>  | <span class=\"arial\">Arial</span> | <span class=\"times\">Times New Roman</span> | <span class=\"lucida\">Lucida Sans Unicode</span> | <span class=\"impact\">Impact</span></div>",
            	"id" => "nav_font",
				"old_id" => "unused before 1.8.8",
				"type" => "select",
            	"java" => "onchange=\"textsize(this.form);\"",				
            	"std" => "Lucida Sans Unicode",
            	"options" => array("Trebuchet MS", "Verdana", "Georgia", "Tahoma", "Arial", "Times New Roman","Lucida Sans Unicode","Impact")),				

		array(	"name" => __("Default Page Font","techozoic"),
				"desc" => "<div class=\"fonts\"><span class=\"trebuchet\">Trebuchet</span> | <span class=\"verdana\">Verdana</span> | <span class=\"georgia\">Georgia</span> | <span class=\"tahoma\">Tahoma</span>  | <span class=\"arial\">Arial</span> | <span class=\"times\">Times New Roman</span> | <span class=\"lucida\">Lucida Sans Unicode</span> | <span class=\"impact\">Impact</span></div>",
            	"id" => "default_font",
				"old_id" => "tech_default_font",
				"type" => "select",
            	"java" => "onchange=\"textsize(this.form);\"",				
            	"std" => "Lucida Sans Unicode",
            	"options" => array("Trebuchet MS", "Verdana", "Georgia", "Tahoma", "Arial", "Times New Roman","Lucida Sans Unicode","Impact")),
				
		array("name" => __("Cufon Font Replacement","techozoic"),
				"desc" =>__("Visit this <a href=\"http://cufon.shoqolate.com/generate/\">link</a> to find out about Cufon.","techozoic"),
            	"id" => "cufon_font",
				"old_id" => "unused before 1.8.7",
            	"std" => "Disable",
            	"type" => "radio",
				"options" => array("Enable","Disable")),
				
		array("name" => __("Cufon Font Replacement","techozoic"),
				"desc"=>__("Check which headings you would like replaced.","techozoic"),
            	"id" => "cufon_font_headings",
				"old_id" => "unused before 1.8.7",
            	"std" => "",
            	"type" => "checkbox",
				"options" => array("Main Blog Title","Sidebar Titles","Post Titles")),
				
		array("name" => __("Cufon Font Replacement","techozoic"),
				"desc" => __("Choose the Font you would like to replace with. More coming in later versions.","techozoic"),
            	"id" => "cufon_font_list",
            	"image" => "images/font.jpg",
				"old_id" => "unused before 1.8.7",
            	"std" => "",
            	"type" => "select",
				"options" => array("contempory","journal","nevis","quicksand")),

    	array(	"name" => __("Custom Backgrounds","techozoic"),
				"type" => "header",
              	"tab_id" => "background",
				"anchor" =>"background"),				
				
		array(	"name" => __("Page Background Image","techozoic"),
				"desc" => __("Use a tiled image for best results Browse for a new image or chose previously uploaded image.  After choosing press Save to upload.","techozoic"),		
            	"id" => "bg_image",
				"old_id" => "unused before 1.8.5",
            	"java" => "onchange=\"upload(this.form,this.name)\"",
				"std" => "",
				"reset" => "bg_image_reset",
				"select" => "bg_image_select",
            	"type" => "upload"),
				
		array(	"name" => __("Page Background Image Repeat","techozoic"),
				"desc" => __("X is Horizontal, Y is Vertical, both repeat tiled pattern","techozoic"),
				"old_id" => "unused before 1.8.6",
            	"id" => "bg_image_repeat",
            	"type" => "checkbox",
            	"std" => "X,Y",
            	"options" => array("X","Y")),

		array(	"name" => __("Content Background Image","techozoic"),
				"desc"=> __("Use a tiled image for best results Browse for a new image or chose previously uploaded image.  After choosing press Save to upload.","techozoic"),		
            	"id" => "content_bg_image",
				"old_id" => "unused before 1.8.7",
            	"java" => "onchange=\"upload(this.form,this.name)\"",
				"std" => "",
				"reset" => "content_bg_image_reset",
				"select" => "content_bg_image_select",
            	"type" => "upload"),
				
		array(	"name" => __("Content Background Image Repeat","techozoic"),
				"desc" => __("X is Horizontal, Y is Vertical, both repeat tiled pattern","techozoic"),
		"old_id" => "unused before 1.8.6",
            	"id" => "content_bg_image_repeat",
            	"type" => "checkbox",
            	"std" => "X,Y",
            	"options" => array("X","Y")),
				
				
    	array(	"name" => __("Color Options","techozoic"),
				"type" => "header",
              	"tab_id" => "color",
				"anchor" =>"color"),

		array(	"name" => __("Prebuilt Color Scheme","techozoic"),
				"desc"=> __("Choose Custom 1 or 2 to specify your own scheme Two Custom options are provided to save two custom color schemes","techozoic"),
            	"id" => "color_scheme",
				"old_id" => "tech_color_scheme",
            	"type" => "select",
            	"java" => "onchange=\"colorhide(this.form)\"",
            	"std" => "Custom 1",
            	"after" => "</table><div id=\"loading\"><img src=\"" . get_bloginfo('template_directory') ."/images/ajax-loader.gif\" alt=\"loading\"/></div><table class=\"optiontable\">",
            	"options" => array("Custom 1","Custom 2", "Blue", "Khaki", "Red", "Grunge")),
			
    	array(	"name" => __("Body Background Color","techozoic"),
				"desc" => __("Choose or Type a <a href=\"http://www.w3schools.com/HTML/html_colors.asp\" target=\"_blank\">HEX color code</a>","techozoic"),
            	"id" => "cust_bg_color1",
				"old_id" => "tech_cust_bg_color1",
            	"std" => "#A0B3C2",
            	"java" => "class=\"color\"",
            	"size" => "8",
            	"before" => "</table><div id=\"custom_color\"><h3>Custom 1</h3><table class=\"optiontable\">",
            	"type" => "text"),

    	array(	"name" => __("Content Background Color","techozoic"),
				"desc" => __("Choose or Type a <a href=\"http://www.w3schools.com/HTML/html_colors.asp\" target=\"_blank\">HEX color code</a>","techozoic"),
            	"id" => "cust_content_bg_color1",
				"old_id" => "unused before 1.8.7",
            	"std" => "#F7F7F7",
            	"java" => "class=\"color\"",
            	"size" => "8",
            	"type" => "text"),

    	array(	"name" => __("Accent Color","techozoic"),
				"desc" => __("Choose or Type a <a href=\"http://www.w3schools.com/HTML/html_colors.asp\" target=\"_blank\">HEX color code</a>","techozoic"),
            	"id" => "cust_acc_color1",
				"old_id" => "tech_cust_acc_color1",
            	"std" => "#A0B3C2",
            	"java" => "class=\"color\"",
            	"size" => "8",
            	"type" => "text"),

    	array( 	"name" => __("Text Color","techozoic"),
				"desc" => __("Choose or Type a <a href=\"http://www.w3schools.com/HTML/html_colors.asp\" target=\"_blank\">HEX color code</a>","techozoic"),
            	"id" => "cust_text_color1",
				"old_id" => "tech_cust_text_color1",
            	"std" => "#2C4353",
            	"java" => " class=\"color\"",
            	"size" => "8",
            	"type" => "text"),

    	array(	"name" => __("Link Color","techozoic"),
				"desc" => __("Choose or Type a <a href=\"http://www.w3schools.com/HTML/html_colors.asp\" target=\"_blank\">HEX color code</a>","techozoic"),
            	"id" => "cust_link_color1",
				"old_id" => "tech_cust_link_color1",
            	"std" => "#597EAA",
            	"java" => " class=\"color\"",
            	"size" => "8",
            	"type" => "text"),

    	array(	"name" => __("Link Hover Color","techozoic"),
				"desc" => __("Choose or Type a <a href=\"http://www.w3schools.com/HTML/html_colors.asp\" target=\"_blank\">HEX color code</a>","techozoic"),
            	"id" => "cust_link_hov_color1",
				"old_id" => "tech_cust_link_hov_color1",
            	"std" => "#114477",
            	"java" => " class=\"color\"",
            	"size" => "8",
            	"type" => "text"),
				
    	array(	"name" => __("Visited Link Color","techozoic"),
				"desc" => __("Choose or Type a <a href=\"http://www.w3schools.com/HTML/html_colors.asp\" target=\"_blank\">HEX color code</a>","techozoic"),
            	"id" => "cust_link_visit_color1",
				"old_id" => "unused before 1.8.8.1",
            	"std" => "#2C4353",
            	"java" => " class=\"color\"",
            	"size" => "8",
            	"type" => "text"),
				
    	array(	"name" => __("Nav Button Background Color","techozoic"),
				"desc" => __("Choose or Type a <a href=\"http://www.w3schools.com/HTML/html_colors.asp\" target=\"_blank\">HEX color code</a>","techozoic"),
            	"id" => "cust_nav_bg_color1",
				"old_id" => "tech_cust_nav_bg_color1",
            	"std" => "#E3E3E3",
            	"java" => " class=\"color\"",
            	"size" => "8",
            	"type" => "text"),

    	array(	"name" => __("Post Background Color","techozoic"),
				"desc" => __("Choose or Type a <a href=\"http://www.w3schools.com/HTML/html_colors.asp\" target=\"_blank\">HEX color code</a>","techozoic"),
            	"id" => "cust_post_bg_color1",
				"old_id" => "tech_cust_post_bg_color1",
            	"std" => "#E3E3E3",
            	"java" => " class=\"color\"",
            	"size" => "8",
				"after" => "</table><input type=\"button\" value=\"".__("Reset Colors","techozoic")."\" onclick=\"resetcolor();\" class=\"alignright\" /></div>",
            	"type" => "text"),

    	array(	"name" => __("Body Background Color","techozoic"),
				"desc" => __("Choose or Type a <a href=\"http://www.w3schools.com/HTML/html_colors.asp\" target=\"_blank\">HEX color code</a>","techozoic"),
            	"id" => "cust_bg_color2",
				"old_id" => "tech_cust_bg_color2",
            	"std" => "#A0B3C2",
            	"java" => " class=\"color\"",
            	"size" => "8",
            	"before" => "</table><div id=\"custom_color2\"><h3>Custom 2</h3><table class=\"optiontable\">",
            	"type" => "text"),

    	array(	"name" => __("Content Background Color","techozoic"),
				"desc" => __("Choose or Type a <a href=\"http://www.w3schools.com/HTML/html_colors.asp\" target=\"_blank\">HEX color code</a>","techozoic"),
            	"id" => "cust_content_bg_color2",
		"old_id" => "unused before 1.8.7",
            	"std" => "#F7F7F7",
            	"java" => "class=\"color\"",
            	"size" => "8",
            	"type" => "text"),

    	array(	"name" => __("Accent Color","techozoic"),
				"desc" => __("Choose or Type a <a href=\"http://www.w3schools.com/HTML/html_colors.asp\" target=\"_blank\">HEX color code</a>","techozoic"),
            	"id" => "cust_acc_color2",
				"old_id" => "tech_cust_acc_color2",
            	"std" => "#A0B3C2",
            	"java" => " class=\"color\"",
            	"size" => "8",
            	"type" => "text"),

    	array(	"name" => __("Text Color","techozoic"),
				"desc" => __("Choose or Type a <a href=\"http://www.w3schools.com/HTML/html_colors.asp\" target=\"_blank\">HEX color code</a>","techozoic"),
            	"id" => "cust_text_color2",
				"old_id" => "tech_cust_text_color2",
				"std" => "#2C4353",
            	"java" => " class=\"color\"",
            	"size" => "8",
            	"type" => "text"),

    	array(	"name" => __("Link Color","techozoic"),
				"desc" => __("Choose or Type a <a href=\"http://www.w3schools.com/HTML/html_colors.asp\" target=\"_blank\">HEX color code</a>","techozoic"),
            	"id" => "cust_link_color2",
				"old_id" => "tech_cust_link_color2",
            	"std" => "#597EAA",
            	"java" => " class=\"color\"",
            	"size" => "8",
            	"type" => "text"),

    	array(	"name" => __("Link Hover Color","techozoic"),
				"desc" => __("Choose or Type a <a href=\"http://www.w3schools.com/HTML/html_colors.asp\" target=\"_blank\">HEX color code</a>","techozoic"),
            	"id" => "cust_link_hov_color2",
				"old_id" => "tech_cust_link_hov_color2",
            	"std" => "#114477",
            	"java" => " class=\"color\"",
				"size" => "8",
            	"type" => "text"),

    	array(	"name" => __("Visited Link Color","techozoic"),
				"desc" => __("Choose or Type a <a href=\"http://www.w3schools.com/HTML/html_colors.asp\" target=\"_blank\">HEX color code</a>","techozoic"),
            	"id" => "cust_link_visit_color2",
				"old_id" => "unused before 1.8.8.1",
            	"std" => "#2C4353",
            	"java" => " class=\"color\"",
            	"size" => "8",
            	"type" => "text"),				
				
    	array(	"name" => __("Nav Button Background Color","techozoic"),
				"desc" => __("Choose or Type a <a href=\"http://www.w3schools.com/HTML/html_colors.asp\" target=\"_blank\">HEX color code</a>","techozoic"),
            	"id" => "cust_nav_bg_color2",
				"old_id" => "tech_cust_nav_bg_color2",
            	"std" => "#E3E3E3",
            	"java" => " class=\"color\"",
            	"size" => "8",
            	"type" => "text"),

    	array(	"name" => __("Post Background Color","techozoic"),
				"desc" => __("Choose or Type a <a href=\"http://www.w3schools.com/HTML/html_colors.asp\" target=\"_blank\">HEX color code</a>","techozoic"),
            	"id" => "cust_post_bg_color2",
				"old_id" => "tech_cust_post_bg_color2",
            	"std" => "#E3E3E3",
            	"java" => " class=\"color\"",
            	"size" => "8",
            	"after" => "</table><input type=\"button\" value=\"".__("Reset Colors","techozoic")."\" onclick=\"resetcolor(2);\" class=\"alignright\" /></div>",
            	"type" => "text"),

		array(	"name" => __("Ad Placement","techozoic"),
				"type" => "header",
             	"tab_id" => "tab4",
             	"anchor" =>"tab4"),			
			
    	array(	 "name" => __("Home Page Ad Code","techozoic"),
				"desc"=>__("This Ad Code will be displayed a total of 3 times. Best ads are banner ads no wider than 500 pixels *Only html and javascript accepted","techozoic"),
            	"id" => "ad_code",
				"old_id" => "tech_ad_code",
            	"std" => "",
            	"type" => "textarea"),

    	array( 	"name" => __("Number of Posts Between Ad Units","techozoic"),
            	"id" => "ad_int",
				"old_id" => "tech_ad_int",
            	"type" => "radio",
            	"std" => "3",
            	"options" => array("6", "5", "4", "3", "2", "1")),

    	array(	"name" => __("Home Page Header Ad Code","techozoic"),
				"desc" => __("This Ad Code will be displayed on the home  page below the header and navigation. Best ads are banner ads no wider than 500 pixels *Only html and javascript accepted","techozoic"),
            	"id" => "header_ad_code",
				"old_id" => "tech_header_ad_code",
				"std" => "",
            	"type" => "textarea"),

    	array(	"name" => __("Single Post Ad Code","techozoic"),
				"desc"=> __("This Ad Code will be displayed on the single post page. Best ads are banner ads no wider than 500 pixels *Only html and javascript accepted","techozoic"),
            	"id" => "sing_ad_code",
				"old_id" => "tech_sing_ad_code",
            	"std" => "",
            	"type" => "textarea"),

    	array(	"name" => __("Single Post Ad Position","techozoic"),
				"desc" => __("Above or below the post content on single page","techozoic"),
            	"id" => "sing_ad_pos",
				"old_id" => "tech_sing_ad_pos",
				"type" => "radio",
            	"std" => "Above",
            	"options" => array("Above", "Below")),
				
    	array( 	"name" => __("Social Networking","techozoic"),
				"type" => "header",
              	"tab_id" => "social",
             	"anchor" => "social"),
				
		array("name" => __("Home Page Social Network Icons","techozoic"),
				"desc" => __("Choose which social network icons you would like displayed below the post.","techozoic"),
            	"id" => "home_social_icons",
				"old_id" => "unused before 1.8.8",
            	"std" => "Delicious,Digg,RSS Icon",
            	"type" => "checkbox",
				"options" => array("Delicious","Digg","Facebook","MySpace","StumbleUpon","Twitter","RSS Icon")),
				
		array("name" => __("Single Page Social Media Icons","techozoic"),
				"desc" => __("Choose which social media icons you would like displayed on the single post page.","techozoic"),
            	"id" => "single_social_icons",
				"old_id" => "unused before 1.8.8",
            	"std" => "Delicious,Digg,RSS Icon",
            	"type" => "checkbox",
				"options" => array("Delicious","Digg","Facebook","MySpace","StumbleUpon","Twitter","RSS Icon")),
				
    	array(	"name" => __("Facebook Profile","techozoic"),
				"desc"=> __("Used for the About widget Must be full link to profile page","techozoic"),
            	"id" => "facebook_profile",
				"old_id" => "unused before 1.8.8",
            	"std" => "",
				"size" => "30",
            	"type" => "text"),
				
    	array(	"name" => __("MySpace Profile","techozoic"),
				"desc" => __("Used for the About widget Must be full link to profile page","techozoic"),
            	"id" => "myspace_profile",
				"old_id" => "unused before 1.8.8",
            	"std" => "",
				"size" => "30",
            	"type" => "text"),
				
    	array(	"name" => __("Twitter Profile","techozoic"),
				"desc" => __("Used for the About widget Must be full link to profile page","techozoic"),
            	"id" => "twitter_profile",
				"old_id" => "unused before 1.8.8",
            	"std" => "",
				"size" => "30",
            	"type" => "text"),

		array( 	"name" => __("Standard Header Settings","techozoic"),
				"type" => "header",
             	"tab_id" => "headerset",
             	"anchor" =>"headerset"),	

		array(	"name" => __("Header Image","techozoic"),
				"desc" => __("<strong> Use the <a href=\"admin.php?page=techozoic_header_admin\">Header Image page</a> to upload custom headers and choose header image.</strong> If errors occur use dropdown menu  Select Rotate to rotate through all images <a href=\"javascript:tabchange(6)\">*(see notes)</a> ,   or select Defined Here and input URL below","techozoic"),
            	"id" => "header",
				"old_id" => "techheader",
            	"type" => "select",
            	"std" => "Grunge",
				"java" => "onchange=\"header(this.form)\"",
            	"options" => array("Rotate", "Random_Lines_1", "Random_Lines_2", "Landscape", "Technology", "Grunge", "Defined Here","none")),
				
		array(	"name" => __("Header Image Alignment","techozoic"),
				"desc"=> __("Align header to the Left, Right, or Center the image in the Header Container","techozoic"),
            	"id" => "header_align",
				"old_id" => "unused before 1.8.4",
            	"type" => "select",
            	"std" => "Center",
            	"options" => array("Left","Right","Center")),

    	array(	"name" => __("Header Container Height","techozoic"),
				"desc"=> __("Adjust the size of the container holding the header image<a href=\"javascript:tabchange(6)\">*(see notes)</a>  Default Height: 200px","techozoic"),
            	"id" => "header_height",
				"old_id" => "unused before 1.8.4",
            	"std" => "200",
				"text" => "px",
				"size" => "5",
            	"type" => "text"),				
				
    	array(	"name" => __("Header Image URL","techozoic"),
				"desc" => __("Needs to be full path the header image  Example: <em>http://www.example.com/header.jpg</em> <a href=\"javascript:tabchange(6)\">*(see notes)</a>  Max Height: 200px","techozoic"),
            	"id" => "header_image_url",
				"old_id" => "tech_header_image_url",
            	"std" => "http://",
				"size" => "50",
            	"last" => "</table><p><a href=\"javascript:tabchange(6)\">Back to Header Image</a></p></div>",
            	"type" => "text")
);
?>